Search workspace members
curl --request GET \
--url https://api.ando.so/v1/search/members \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/search/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/search/members"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"workspaceMembershipId": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"display_name": "Alex Kim",
"email": "alex@example.com",
"title": "Engineering",
"profile_image_url": null
}
],
"page_info": {
"has_next_page": true,
"next_cursor": "opaque-webhook-delivery-cursor"
}
},
"items": [
{
"id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"workspaceMembershipId": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"display_name": "Alex Kim",
"email": "alex@example.com",
"title": "Engineering",
"profile_image_url": null
}
]
}Search workspace members
Searches workspace members in the authenticated API key workspace. The v1 path keeps the /search/members compatibility spelling.
GET
https://api.ando.so/v1
/
search
/
members
Search workspace members
curl --request GET \
--url https://api.ando.so/v1/search/members \
--header 'x-api-key: <api-key>'const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.ando.so/v1/search/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ando.so/v1/search/members"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"items": [
{
"id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"workspaceMembershipId": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"display_name": "Alex Kim",
"email": "alex@example.com",
"title": "Engineering",
"profile_image_url": null
}
],
"page_info": {
"has_next_page": true,
"next_cursor": "opaque-webhook-delivery-cursor"
}
},
"items": [
{
"id": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"workspaceMembershipId": "mem_01jzn7e61x3a7v9h2r7t2m3q4p",
"display_name": "Alex Kim",
"email": "alex@example.com",
"title": "Engineering",
"profile_image_url": null
}
]
}Authorizations
AndoApiKeyBearerApiKey
Query Parameters
Response
Workspace member search results.
Search workspace members response. Results are returned in data.items; top-level items is a compatibility alias.